Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IBayerHistogram Class Reference

An interface to a set of histograms created from Bayer pixel data, one per Bayer channel. More...

`#include <CaptureMetadata.h>`

Inheritance diagram for Argus::IBayerHistogram:

List of all members.

## Public Member Functions

virtual uint32_t | getBinCount () const =0
| Returns the number of bins (per channel) in the histogram.
virtual uint32_t | getBinData (BayerChannel channel, uint32_t bin, Status *status=NULL) const =0
| Returns the value contained in a single bin.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IBayerHistogram ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

An interface to a set of histograms created from Bayer pixel data, one per Bayer channel.

Bins are evenly distributed across the possible range of values, and each contains the number of pixels whose value fell within the range for that bin.

Definition at line 67 of file CaptureMetadata.h.

## Constructor & Destructor Documentation

Argus::IBayerHistogram::~IBayerHistogram | ( |  | ) |

inlineprotected

Definition at line 88 of file CaptureMetadata.h.

## Member Function Documentation

virtual uint32_t Argus::IBayerHistogram::getBinCount | ( |  | ) | const

pure virtual

Returns the number of bins (per channel) in the histogram.

virtual uint32_t Argus::IBayerHistogram::getBinData | ( | BayerChannel | channel,
|  | uint32_t | bin,
|  | Status * | status = `NULL`
| ) |  | const

pure virtual

Returns the value contained in a single bin.

Returns:
  0 if `bin >= getBinCount()`; if `status` is non-NULL, STATUS_INVALID_PARAMS will be returned there.

static const InterfaceID& Argus::IBayerHistogram::id | ( |  | ) |

inlinestatic

Definition at line 71 of file CaptureMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/CaptureMetadata.h